Bug 222817 - [exp-run] graphics/openjpeg: update to 2.3.0
Summary: [exp-run] graphics/openjpeg: update to 2.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-06 10:02 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2017-10-10 17:47 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2017-10-06 10:02:04 UTC
Request exp-run.
Comment 1 Antoine Brodin freebsd_committer 2017-10-08 08:23:24 UTC
On 10.3 i386 audio/leptonica fails to build:

http://pb2.nyi.freebsd.org/data/103i386-default-PR222817/2017-10-07_19h52m32s/logs/errors/leptonica-1.74.1_1.log
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-10-08 09:11:59 UTC
graphics/leptonica patch was added. Thanks!
Comment 3 Antoine Brodin freebsd_committer 2017-10-10 17:18:14 UTC
Exp-run looks fine.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-10-10 17:47:00 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2017-10-10 17:47:03 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Oct 10 17:45:58 UTC 2017
New revision: 451711
URL: https://svnweb.freebsd.org/changeset/ports/451711

Log:
  Update graphics/openjpeg to 2.3.0

  Changes:	https://github.com/uclouvain/openjpeg/blob/master/CHANGELOG.md
  PR:		222817
  Exp-run by:	antoine

Changes:
  head/comms/qsstv/files/patch-qsstv_utils_color.cpp
  head/comms/qsstv/files/patch-qsstv_utils_jp2io.h
  head/graphics/gstreamer1-plugins-openjpeg/Makefile
  head/graphics/gstreamer1-plugins-openjpeg/files/
  head/graphics/gstreamer1-plugins-openjpeg/files/patch-openjpeg23
  head/graphics/leptonica/files/
  head/graphics/leptonica/files/patch-configure
  head/graphics/mupdf/files/patch-source__fitz__load-jpx.c
  head/graphics/openjpeg/Makefile
  head/graphics/openjpeg/distinfo